curl --request POST \
--url https://whitebit.com/api/v4/market/fee \
--header 'X-TXC-APIKEY: <api-key>'import requests
url = "https://whitebit.com/api/v4/market/fee"
headers = {"X-TXC-APIKEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-TXC-APIKEY': '<api-key>'}};
fetch('https://whitebit.com/api/v4/market/fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"taker": "0.1",
"maker": "0.1",
"futures_taker": "0.0002",
"futures_maker": "0.0001"
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Query Market Fee
Get the maker and taker fee rates for a specific spot market via the WhiteBIT V4 API.
Authorizations
API Key authentication for private endpoints.
Required headers:
- X-TXC-APIKEY: API key
- X-TXC-PAYLOAD: Base64 encoded JSON payload
- X-TXC-SIGNATURE: HMAC SHA512 signature
Query Parameters
Market to query.
If the request includes the market parameter, the system returns fees for the specified market only.
When fee values are identical across markets, the response contains identical values regardless of the specified market.
Example: BTC_USDT
"BTC_USDT"
Response
Successful response
null
Taker fee percentage
"0.1"
Maker fee percentage
"0.1"
Effective futures taker fee rate for the specified market. The system returns the lower value between the custom fee (if assigned) and the default market fee.
"0.0002"
Effective futures maker fee rate for the specified market. The system returns the lower value between the custom fee (if assigned) and the default market fee.
"0.0001"
Was this page helpful?